<!doctype html>
<html>
<head>
    <%- include('partials/page-head.ejs') %>
    <%- include('partials/track/track-card-metadata.ejs') %>
    <%- include('partials/track/artist-card-metadata.ejs') %>

    <title>Musicoin</title>
    <style>
        html, body {
            margin: 0;
            padding: 0;
            height: 100%;
            background-color: black;
            color: white;
        }

        #mainFrame {
            min-height: 100%;
            width: 100%;
            height: 100%;
            flex-grow: 1;
        }

        #mainSection {
            display: flex;
            flex-direction: column;
            flex-grow: 1;
        }

        #outer {
            min-height: 100%;
            display: flex;
            flex-direction: column;
            background-color: #eee;
        }

        #playerFrame {
            height: 64px;
            position: fixed;
            bottom:0;
            left:0;
            width: 100%;
        }

        #playerFill {
            min-height: 64px;
        }
    </style>
</head>
<body onload="setupPopWatch()">
<iframe id=playerFrame src="/player" frameborder="0" class="show-on-play"></iframe>

<div id="outer">
    <div id=mainSection>
        <iframe id=mainFrame src="<%=mainFrameLocation%>" frameborder="0" onload="mainFrameLocationChange()"></iframe>
    </div>
    <div id=playerFill class="show-on-play"></div>
</div>

<script>
    function setupPopWatch() {
      var mainFrame = document.getElementById("mainFrame");
      window.onpopstate = function(e){
        if (window.location.pathname.startsWith("/nav")) {
          mainFrame.src =  window.location.pathname.substr(4);
        }
      };
    }

    function mainFrameLocationChange() {
      var mainFrame = document.getElementById("mainFrame");
      var mainLocation = mainFrame.contentWindow.location;
      window.history.pushState({
        "html":mainFrame.contentWindow.html,
        "pageTitle":mainFrame.contentWindow.title
      },
        "",
        "/nav" + mainLocation.pathname + mainLocation.search);
    }

    function showMessage(msg, type, timeout) {
      new Message(msg, type, timeout);
    }
</script>
</body>

</html>
